﻿/* Script des ELW-Moduls in EDPweb
   Copyright 2016 by Eifert Systems GmbH
   http://einsatzleitsoftware.de
   
   Dieses Script darf ohne Zustimmung nicht verÃ¤ndert oder weiterkopiert werden. */

   
   function showloader(divname) {
	document.getElementById(divname).innerHTML =' <img id="loadingImg" src="lage/loading.gif" style="position:absolute; right:50%; top:50%; z-index:100;" />';
}

function shownavi() {
	 if (navistatus=="1") {
	document.getElementById('navigation').style.display='none';
	 navistatus="";
	 }
	 else {
         document.getElementById('navigation').style.display='block';
		 navistatus="1";
	 }
}

function loaddiv(sitename,divname){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById(divname).innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","service.html?ajax="+sitename+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}

function showdivandclose(divname){
	document.getElementById('navigation').style.display='none';
	document.getElementById(divname).style.display='block';
}


function refreshem(einsatznummer)
{
	loaddiv("elw_em&einsatznummer="+einsatznummer,"einsatzmittel");
}


function refreshbtns(einsatznummer)
{
	loaddiv("elweinsatz_btn_von&einsatznummer="+einsatznummer,"btnvon");
	loaddiv("elweinsatz_btn_an&einsatznummer="+einsatznummer,"btnan");
}




function refreshdaten(einsatznummer)
{
var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("einsatzdaten").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","service.html?ajax=elweinsatz_daten&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.send();
}

function refreshverlauf(einsatznummer)
{
var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    document.getElementById("verlauf").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","service.html?ajax=einsatz_verlauf&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.send();
}



function newabschnitt(einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText=='error')
	{
	 alert('Der Abschnitt konnte nicht angelegt werden!');
	} else {
	document.getElementById("newabschn_edit").value = "";
	refreshem(einsatznummer);
	refreshabschnitte(einsatznummer);
	}
    }
  }
xmlhttp.open("GET","service.html?action=newabschnitt&einsatznummer="+einsatznummer+"&bezeichnung="+escape(document.getElementById("newabschn_edit").value)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}

function closeeinsatz(einsatznummer)
{
  var xmlhttp;
  
  Check = confirm("Wollen Sie den Einsatz wirklich schliessen?"); 
    if (Check == false) {
      return;
    }
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText=='OK')
	{
	 alert('Einsatz geschlossen!');
	window.location.href = "service.html?showsite=elwliste";
	} else {
	alert(xmlhttp.responseText);
	}
    }
  }
xmlhttp.open("GET","service.html?action=closeeinsatz&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}

function emdispo(einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
  	 document.getElementById("em_edit").value = "";
	 if (xmlhttp.responseText.indexOf("Fremdfahrzeug")>0) {
	 refreshem(einsatznummer);
	refreshan();
	refreshvon();
	 }
	} else {
	document.getElementById("em_edit").value = "";
	refreshem(einsatznummer);
	refreshan();
	refreshvon();
	}
    }
  }
xmlhttp.open("GET","service.html?action=emdispo&einsatznummer="+einsatznummer+"&rufname="+escape(document.getElementById("em_edit").value)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}

function emdispofromdlg(rufname,einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	 
	} else {
	$.Dialog.close();
	refreshem(einsatznummer);
	refreshan(einsatznummer);
	refreshvon(einsatznummer);
	}
    }
  }
xmlhttp.open("GET","service.html?action=emdispo&einsatznummer="+einsatznummer+"&rufname="+rufname+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
}



function showem(rufname,einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			rufnamedlg = rufname;
			
							
 			$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Einsatzmittel &lt;'+rufname+'&gt;',
                                    content: xmlhttp.responseText,
				    padding: 10,
				    width: 450
                                })
    }
  }

xmlhttp.open("GET","service.html?ajax=em_details&einsatznummer="+einsatznummer+"&rufname="+escape(rufname)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function saveemdlg(einsatznummer){
  var xmlhttp;
  
  if (document.getElementById("bes1").value=='') { document.getElementById("bes1").value = '0'}
  if (document.getElementById("bes2").value=='') { document.getElementById("bes2").value = '0'}
  if (document.getElementById("bes3").value=='') { document.getElementById("bes3").value = '0'}
  if (document.getElementById("bespa").value=='') { document.getElementById("bespa").value = '0'}
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	} else {
	
	$.Dialog.close();
	refreshem(einsatznummer);
	}		
    }
  }

xmlhttp.open("GET","service.html?action=saveemdlg&rufname="+escape(rufnamedlg)+"&bes1="+document.getElementById("bes1").value+"&bes2="+document.getElementById("bes2").value+"&bes3="+document.getElementById("bes3").value+"&bespa="+document.getElementById("bespa").value+"&auftrag="+escape(document.getElementById("auftrag").value)+"&abschnitt="+escape(document.getElementById("abschnitt").value)+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}

function nachtragen () {
	$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Nachtrag',
                                    content: nachtragdlg,
				    padding: 10,
				    width: 350
                                });
			$.Metro.initInputs();
	
}

function addnachtrag () {
	document.getElementById("eintrag").value = 'Nachtrag von '+document.getElementById("nachtragdatum").value +' '+document.getElementById("nachtragzeit").value +': '+document.getElementById("eintrag").value;
	$.Dialog.close();
}

function setbesatzung(uf,ma)  {
       
       document.getElementById("bes1").value = "0";
       document.getElementById("bes2").value = uf;
       document.getElementById("bes3").value = ma;
   }


function showstatus(rufname,einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			rufnamedlg = rufname;
 			$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Status f&uuml;r '+rufname,
                                    content: xmlhttp.responseText,
				    padding: 10,
				    width: 350
                                });
			$.Metro.initInputs();
    }
  }

xmlhttp.open("GET","service.html?ajax=em_status&rufname="+escape(rufname)+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}

function sucheeinsatzmittel(rufname,einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			rufnamedlg = rufname;
 			$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Suchergebnisse <'+rufname+'>',
                                    content: xmlhttp.responseText,
				    padding: 10,
				    width: 350
                                });
			$.Metro.initInputs();
    }
  }

xmlhttp.open("GET","service.html?ajax=em_suche&rufname="+escape(rufname)+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}

function showabschnitt(id,einsatznummer){
  var xmlhttp;
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
			
							
 			$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Abschnitt bearbeiten',
                                    content: xmlhttp.responseText,
				    padding: 10,
				    width: 450
                                })
    }
  }

xmlhttp.open("GET","service.html?ajax=abschnitt_details&id="+id+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function saveabschnittdialog(einsatznummer,id){
  var xmlhttp;
  
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText!='OK')
	{
	 alert(xmlhttp.responseText);
	} else {
	
	$.Dialog.close();
	refreshem(einsatznummer);
	}		
    }
  }

xmlhttp.open("GET","service.html?action=abschnittupdate&id="+id+"&einsatznummer="+einsatznummer+"&bezeichnung="+escape(document.getElementById("abschnittbezeichnung").value)+"&eal="+escape(document.getElementById("abschnitteal").value)+"&rufname="+escape(document.getElementById("abschnittrufname").value)+"&kanal="+document.getElementById("abschnittkanal").value+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}


function deleteabschnitt(abschnitt,einsatznummer){
  var xmlhttp;
  
    Check = confirm("Wollen Sie den Abschnitt wirklich entfernen?"); 
    if (Check == false) {
      return;
    }
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
     if (xmlhttp.responseText=='OK') {
		refreshem(einsatznummer);
	 }
	 else
	 {
	 alert(xmlhttp.responseText);
	 }

    }
  }

xmlhttp.open("GET","service.html?action=deleteabschnitt&abschnitt="+abschnitt+"&einsatznummer="+einsatznummer+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();
                               
}



function setstatus(rufname,status,einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    $.Dialog.close();
    refreshem(einsatznummer);
    }
  }

xmlhttp.open("GET","service.html?action=setstatus&rufname="+escape(rufname)+"&status="+status+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();

}

function saveeinsatzverlauf(einsatznummer)
{
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	} else {
	document.getElementById("an_edit").value = "";
	document.getElementById("von_edit").value = "";
	document.getElementById("eintrag").value = "";
	refreshverlauf(einsatznummer);
	}
    }
  }

xmlhttp.open("GET","service.html?action=saveeinsatzverlauf&einsatznummer="+einsatznummer+"&von="+escape(document.getElementById("von_edit").value)+"&an="+escape(document.getElementById("an_edit").value)+"&typ="+document.getElementById("evtyp").value+"&eintrag="+escape(document.getElementById("eintrag").value)+"&&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();

}
   