/* Script zur Lagefhrung in EDPweb
   Copyright 2015 by Eifert Systems GmbH
   http://einsatzleitsoftware.de
   
   Dieses Script darf ohne Zustimmung nicht verndert oder weiterkopiert werden. */

//Allgemeine functions


function showloader(divname) {
	document.getElementById(divname).innerHTML =' <img id="loadingImg" src="lage/loading.gif" style="position:absolute; right:50%; top:50%; z-index:100;" />';
}

function loaddiv(sitename,divname){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  
  xmlhttp.onreadystatechange=function()
  {
	  
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	if (xmlhttp.responseText.indexOf("Timeout")>-1) {
		 alert('Ihre Sitzung ist abgelaufen!');
		 window.location = "service.html?showsite=anmelden";
	} else {
      document.getElementById(divname).innerHTML=xmlhttp.responseText;
	 }
    }
	
   if (xmlhttp.readyState==4 && xmlhttp.status!=200)
	{
		 document.body.innerHTML= '<center><div style="width: 400px; padding-top: 50px"><div class="panel"><div class="panel-header">Server nicht erreichbar</div><div class="panel-content">Der EDPweb - Server ist nicht erreichbar. Daher wurde die Lagefhrung beendet.<p>&nbsp;<br><a href="service.html?showsite=start" class="button primary large">Aktualisieren</a></p></div></div></div></div></center>';
	}

  }
xmlhttp.open("GET","service.html?ajaxlage="+sitename+"&time="+(new Date()).getTime(),true);
xmlhttp.send();

}

function addvaluetoinput(inputname,newvalue) {

  if (document.getElementById(inputname).value.indexOf(newvalue+';')!=-1) {
   alert(newvalue+' ist bereits vorhanden!');
   return;
  }

  document.getElementById(inputname).value+=newvalue+';';
  showmsg();
}



/*  A N Z E I G E N     V O N     D I V s    */

 function shownewetb() {
  closeall();
  document.getElementById('newetb').style.display = 'block';
 }

 function shownewmsg() {
  closeall();
  clearnachricht();
  document.getElementById('newmsg').style.display = 'block';
 }

 function showmsg() {
  closeall();
  document.getElementById('newmsg').style.display = 'block';
 }

 function shownormal() {
  closeall();
  document.getElementById('lfcontent').style.display = 'block';
 }

 function showempfwahl() {
  closeall();
  document.getElementById('empfwahl').style.display = 'block';
 }

 function closeall() {
  document.getElementById('lfcontent').style.display = 'none';
  document.getElementById('newetb').style.display = 'none';
  document.getElementById('newmsg').style.display = 'none';
  document.getElementById('empfwahl').style.display = 'none';
 }

 // L A D E N    V O N    S E I T E N 
 




function showlageverlauf(records,seite){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lageverlauf&records='+records+'&skip='+(seite*records-records)+'&seite='+seite,'lfcontent');
 current_site='lageverlauf&records='+records+'&skip='+(seite*records-records)+'&seite='+seite;
 contentdiv='lfcontent';
 shownormal();
}

function showlageverlauf_own(records,seite){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lageverlauf_own&records='+records+'&skip='+(seite*records-records)+'&seite='+seite,'lfcontent');
 current_site='lageverlauf_own&records='+records+'&skip='+(seite*records-records)+'&seite='+seite;
 contentdiv='lfcontent';
 shownormal();
}

function showlageverlaufoffen(){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('lageverlauf_offen','lfcontent');
 current_site='lageverlauf_offen';
 contentdiv='lfcontent';
 shownormal();
}

function showauftragsverfolgung(records,seite){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('auftragsverfolgung&records='+records+'&skip='+(seite*records-records)+'&seite='+seite,'lfcontent');
 current_site='auftragsverfolgung&records='+records+'&skip='+(seite*records-records)+'&seite='+seite;
 contentdiv='lfcontent';
 shownormal();
}

function showauftragsverfolgungoffen(){
 showloader('lfcontent');
 nachricht_id = -1;
 loaddiv('auftragsverfolgung_offen','lfcontent');
 current_site='auftragsverfolgung_offen';
 contentdiv='lfcontent';
 shownormal();
}

function showlageeintrag(id) {
	var xmlhttp;
	
	$.Dialog({
                                    flat: true,
                                    shadow: true,
                                    title: 'Eintrag anzeigen',
                                    content: '<div style="height: 480px; overflow:auto" id="dialogdiv"><img id="loadingImg" src="lage/loading.gif" style="position:absolute; right:50%; top:50%; z-index:100;" /></div>',
									padding: 10,
									height: 500,
									width: 750
                                })
  
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
		document.getElementById('dialogdiv').innerHTML=xmlhttp.responseText;
		nachricht_id = id;
 			
    }
  }

xmlhttp.open("GET","service.html?ajaxlage=nachricht&id="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send();
	
}

function showsichtung(id,nummer) {
	showloader('dialogdiv');
	loaddiv('sichtung&id='+id+'&nummer='+nummer,'dialogdiv');
}

function showmsgindlg(id) {
	showloader('dialogdiv');
	loaddiv('nachricht&id='+id,'dialogdiv');
}



// U P D A T E S

function updateunerledigt(){
 loaddiv(navigation_unerledigt,'unread_count');
 if (document.getElementById("unread_count").innerHTML!='Keine offenen Nachrichten') {
	 var audio = new Audio('unerledigt.mp3');
     audio.play();
 }
 if (checkverfolgung==1) {
 loaddiv('navigation_auftragsverfolgung','auftragsverfolgung_count');
 }
}

function updateall(){
     if (nachricht_id!=-1) {
        loaddiv('nachricht&id='+nachricht_id,'lfmailbox');
      }
	    showloader('lfcontent');
        loaddiv(current_site,contentdiv);
		updateempfliste();
		updateunerledigt();
}

function updateempfliste(){
 loaddiv('empfwahl','empfaengerwahl');
}



// N A C H R I C H T     S P E I C H E R N


 function savenachricht()
 {
  var xmlhttp;
  var poststring;
  
  poststring = "&fieldVORRANG="+document.getElementById("nr_vorrang").value;
  poststring = poststring + "&fieldBEZUG="+document.getElementById("nr_bezug").value;
  poststring = poststring + "&zugewiesen="+document.getElementById("nr_empf").value;
  poststring = poststring + "&info="+document.getElementById("nr_cc").value;
  poststring = poststring + "&fieldART="+document.getElementById("nr_meldeweg").value;
  poststring = poststring + "&fieldVON="+document.getElementById("nr_von").value;
  poststring = poststring + "&fieldAN="+document.getElementById("nr_an").value;
  poststring = poststring + "&BETREFF="+escape(document.getElementById("nr_betreff").value);
  poststring = poststring + "&BETREFFTYP="+escape(document.getElementById("nr_betrefftyp").value);




  if (document.getElementById("nr_betrefftyp").value=="" && document.getElementById("nr_inhalt").value=="") {
   alert('Bitte geben Sie mindestens einen Betreff und einen Nachrichtentext ein!');
   return false;
   }

  showloader('lfcontent');
  shownormal();
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText.indexOf("Fehler")==1) {
      alert(xmlhttp.responseText);
      return;
     } else {
      savenachranhang(xmlhttp.responseText);
    }
  }
 }

xmlhttp.open("GET","service.html?action=savenachricht&fieldINHALT="+escape(document.getElementById("nr_inhalt").value)+poststring+"&time="+(new Date()).getTime(),true);
xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
xmlhttp.send();

}

// SICHTUNG SPEICHERN
 function addsichtung(typ,funktion,id,nummer)
 {
  var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText!='ok')
	{
	 alert(xmlhttp.responseText);
	} else {
	showmsgindlg(nummer);
	}
    }
  }

xmlhttp.open("POST","service.html?action=makesichtung&typ="+typ+"&funktion="+funktion+"&id="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send();



}

// NACHRICHT LEEREN

function clearnachricht() {
   loaddiv("neue_nachricht","newmsg");
   loaddiv("empfaengerwahl","empfwahl");
}

function clearanhang() {
  document.getElementById("nr_uploads").innerHTML="";
  files_count = 1;
}


// ANTWORTEN
function antworten() {
  clearanhang();
  document.getElementById("nr_von").value = "";
  document.getElementById("nr_an").value = "";
  document.getElementById("nr_empf").value = "";
  document.getElementById("nr_cc").value = "";
  document.getElementById("nr_meldeweg").value = "";
  document.getElementById("nr_bezug").value = document.getElementById("nr_akt_nr").innerHTML; 
  document.getElementById("nr_empf").value = document.getElementById("nr_akt_add_funktion").innerHTML+";"; 
  document.getElementById("nr_betreff").value = ""; 
  document.getElementById("nr_inhalt").value = "\n###\n---- Original Nachricht -----\n\nNummer: "+document.getElementById("nr_akt_nr").innerHTML;
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value + "\nGesendet am: "+document.getElementById("nr_akt_addtime").innerHTML;
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\nGesendet von: "+document.getElementById("nr_akt_add_funktion").innerHTML+" ("+document.getElementById("nr_akt_user").innerHTML+")";
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\nBetreff: "+document.getElementById("nr_akt_betreff").innerHTML; 
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\n\n"+document.getElementById("nr_alt_inhalt").innerHTML.replace(/<br>/g,""); 
  showmsg();
  $.Dialog.close();
}

//WEITERLEITEN

function weiterleiten() {
  clearanhang();
  document.getElementById("nr_von").value = "";
  document.getElementById("nr_an").value = "";
  document.getElementById("nr_empf").value = "";
  document.getElementById("nr_cc").value = "";
  document.getElementById("nr_meldeweg").value = "";
  document.getElementById("nr_bezug").value = document.getElementById("nr_akt_nr").innerHTML;  
  document.getElementById("nr_betreff").value = ""; 
  document.getElementById("nr_inhalt").value = "\n###\n---- Original Nachricht -----\n\nNummer: "+document.getElementById("nr_akt_nr").innerHTML;
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value + "\nGesendet am: "+document.getElementById("nr_akt_addtime").innerHTML;
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\nGesendet von: "+document.getElementById("nr_akt_add_funktion").innerHTML+" ("+document.getElementById("nr_akt_user").innerHTML+")";
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\nBetreff: "+document.getElementById("nr_akt_betreff").innerHTML; 
  document.getElementById("nr_inhalt").value = document.getElementById("nr_inhalt").value +"\n\n"+document.getElementById("nr_alt_inhalt").innerHTML.replace(/<br>/g,""); 
  showmsg();
  $.Dialog.close();
}

// STATUS FR NACHRICHT SETZEN

function setnachrstatus(status)  {
	  setnrstat(status,nachricht_id);
}





function setnrstat (status,id){
var xmlhttp;
  xmlhttp=new XMLHttpRequest();
  closeall();
  shownormal();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
     if (xmlhttp.responseText =="ok") {
		updateall();
		$.Dialog.close();
      } 
     else {
      alert(xmlhttp.responseText);
      }
    }
  }

xmlhttp.open("GET","service.html?action=setnachrichtstatus&status="+status+"&id="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send();
}

//ANHANG SPEICHERN

function savenachranhang(id) {

var xmlhttp;

 xmlhttp=new XMLHttpRequest();
  xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
    if (xmlhttp.responseText=="ok") {
      shownormal();
      loaddiv(current_site,contentdiv);
     } else {
	  showmsg();
      alert(xmlhttp.responseText);
      return;
    }
  }
 }

xmlhttp.open("POST","service.html?action=savenachranhang&keyvalue="+id+"&time="+(new Date()).getTime(),true);
xmlhttp.send(new FormData(document.getElementById('anhang_form')));
}

//NACHRICHT SUCHEN

function nachrichtsuchen(suchtext) {
	if (suchtext.length<3) {
		alert('Bitte geben Sie mindestens 3 Zeichen ein!');
		return;
	}
	 loaddiv('lageverlauf_suchen&suche='+suchtext.toLowerCase(),'lfcontent');
         current_site='lageverlauf_suchen&suche='+suchtext.toLowerCase();
         contentdiv='lfcontent';
}


